import {Component} from "@wordpress/element";
import {Button, Tooltip} from '@wordpress/components';
class TooltipContainer extends Component {
    constructor() {
        super(...arguments);
    }

    render() {
        const {visibility,text,position,optimizeButton,clickHandler} = this.props;
        let tooltip ='';
        let button = (
            <span className={(optimizeButton.disabled) ? 'disabled-container':''}>
                                <Button
                                    id = {'atomicreach-optimize-button'}
                                    onClick = {
                                        (e) => {
                                            e.preventDefault();
                                            clickHandler(e);}
                                    }
                                    isBusy = {optimizeButton.isBusy}
                                    disabled = {optimizeButton.disabled}
                                    isLarge

                                >
                    {(optimizeButton.isBusy) ? 'Optimizing' : 'Optimize'}
                    </Button>
            </span>
        );

        if(visibility){
            tooltip = (
                <Tooltip text={text} position={position} >
                    {button}
                </Tooltip>
            )
        }else {
            tooltip = (button);
        }

        return (
                tooltip
        )
    }
}


export default TooltipContainer;
